org.apache.synapse.securevault

## Class AsymmetricCipher

- java.lang.Object
- - org.apache.synapse.securevault.BaseCipher
  - - org.apache.synapse.securevault.AsymmetricCipher

- All Implemented Interfaces:
    DecryptionProvider, EncryptionProvider

      public class AsymmetricCipher
      extends BaseCipher

  The Cipher doing asymmetric cryptographic operations

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.securevault.BaseCipher

      `keyStoreWrapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsymmetricCipher(CipherInformation cipherInformation, Key key)`
    `AsymmetricCipher(CipherInformation cipherInformation, KeyStoreInformation keystoreInformation)`
    `AsymmetricCipher(CipherInformation cipherInformation, KeyStoreWrapper keyStoreWrapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Key` | `getKey(CipherOperationMode operationMode)` Returns the correct key for correct operation

    - ### Methods inherited from class org.apache.synapse.securevault.BaseCipher

      `decrypt, encrypt, getCipherInformation, getKeyStoreInformation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsymmetricCipher

          public AsymmetricCipher(CipherInformation cipherInformation,
                                  KeyStoreInformation keystoreInformation)

    - #### AsymmetricCipher

          public AsymmetricCipher(CipherInformation cipherInformation,
                                  KeyStoreWrapper keyStoreWrapper)

    - #### AsymmetricCipher

          public AsymmetricCipher(CipherInformation cipherInformation,
                                  Key key)

  - ### Method Detail

    - #### getKey

          public Key getKey(CipherOperationMode operationMode)

      Description copied from class: `BaseCipher`
      Returns the correct key for correct operation
      Specified by:
        `getKey` in class `BaseCipher`
      Parameters:
        `operationMode` - Ciper operation
      Returns:
        A key

Copyright © 2005–2023 Apache Software Foundation. All rights reserved.